# 本仓库支持添加三种类型的数字对象

参数示例如下：

1. 添加ByteArray型数字对象

```json
{
  "header": {
    "identifier": "bdtest/Repository",
    "attributes": {
      "type": "ByteArray",
      "owner": "zzz",
      "description": "这是一段说明"
    }
  },
  "body": "content"
}
```

2. 添加CSV型数字对象
   示例参数：

```json
{
  "header": {
    "attributes": {
      "url": "http://127.0.0.1:18000/DOIP/RepositoryExample/assets/test.csv",
      "filename": "test.csv",
      "owner": "zzz",
      "description": "这是一段说明",
      "schema": "{}"
    }
  }
}
```

3. 添加SQL型的数字对象
   示例参数：

```json
{
  "header": {
    "attributes": {
      "url": "39.106.6.6:3306",
      "user": "abc",
      "password": "def",
      "dbname": "newele",
      "tablename": "keyword",
      "owner": "zzz",
      "description": "这是一段说明",
      "schema": "{}"
    }
  }
}
```

4.接收订阅

```json
{
  "header": {
    "identifier": "bdtest/Repository",
    "operation": "0.DOIP/Op.Subscribe",
    "attributes": {
      "topicId": "bdtest/Repository/updateDoMeta",
      "subscriberId": "bdtest/Registry",
      "subscribe": true
    }
  }
}

```

5.获取同步事件

```json
{
  "header": {
    "identifier": "abcde",
    "operation": "0.DOIP/Op.Retrieve",
    "attributes": {
      "offset": 1,
      "count": 10
    }
  }
}
```

